%define libname	%mklibname %{name}
%define ffmpegversion 2.6.4

%define build_qt 1

Name:		avidemux
Version:	2.6.12
Release:	%mkrel 2
Summary:	A free video editor
License:	GPLv2+
Group:		Video
Url:		http://fixounet.free.fr/avidemux
#---------------------------------------------------
Source0:	http://downloads.sourceforge.net/%{name}/%{name}_%{version}.tar.xz
Source1:	avidemux2.desktop
#----------------------------------------------------
Patch2:		avidemux-plugins-2.6.4-linkage.patch
#---------------------------------------------------
BuildRequires: cmake
BuildRequires: yasm
BuildRequires: fakeroot
BuildRequires: chrpath
BuildRequires: %{_lib}aften-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}audiofile-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}crystalhd-devel
BuildRequires: %{_lib}dca-devel
BuildRequires: %{_lib}dcaenc-devel
BuildRequires: %{_lib}esound-devel
BuildRequires: %{_lib}faac-devel
BuildRequires: %{_lib}faad2-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}fribidi-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}lame0-devel
BuildRequires: %{_lib}lzma-devel
BuildRequires: %{_lib}lzo-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}opencore-amrnb-devel
BuildRequires: %{_lib}opencore-amrwb-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}samplerate-devel
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}twolame-devel
BuildRequires: %{_lib}va-devel
BuildRequires: %{_lib}vdpau-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}vpx-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xv-devel
BuildRequires: %{_lib}xvid4-devel
BuildRequires: %{_lib}xvmc-devel
BuildRequires: libxcb-devel
BuildRequires: mesa-devel
BuildRequires: x264-devel
BuildRequires: zlib1-devel
#---------------------------------------------------

%if %{build_qt}
BuildRequires: %{_lib}qt4-devel
BuildRequires: xsltproc
BuildRequires: ImageMagick
%endif

%description
Avidemux is a free video editor designed for simple cutting,
filtering and encoding tasks.It supports many file types, including
AVI, DVD compatible MPEG files, MP4 and ASF, using a variety of
codecs. Tasks can be automated using projects, job queue and
powerful scripting capabilities.

%package -n	%{libname}
Summary:	Shared libraries for %{name}

%description -n	%{libname}
Shared libraries for %{name}.

%package	devel
Summary:	Header files for %{name}
Requires:	%{libname} = %{version}
Requires:	%{_lib}vdpau-devel
Obsoletes:	%{name}-qt-devel < %{version}-%{release}
Obsoletes:	%{name}-cli-devel < %{version}-%{release}

%description	devel
Header files for %{name}.

%package	cli
Summary:	Command line interface for %{name}
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-cli-plugins

%description	cli
This package contains the command-line interface for %{name}.

%if %{build_qt}
%package	qt
Summary:	Qt4 graphical user interface for %{name}
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-qt-plugins

%description	qt
This package contains the Qt4 graphical user interface for %{name}.
%endif

%package	plugins
Summary:	Plugins for %{name}

%description	plugins
This package contains the common plugins for %{name}.

%package	cli-plugins
Summary:	Plugins for %{name}-cli

%description	cli-plugins
This package contains the plugins for the %{name} command-line interface.

%if %{build_qt}
%package	qt-plugins
Summary:	Plugins for %{name}-qt

%description	qt-plugins
This package contains the plugins for the %{name} graphical user interface.
%endif


%prep
%setup -qn %{name}_%{version}
%patch2 -p0

%build
%if %{build_qt}
export QTDIR=%{_libdir}/qt4
%endif
bash bootStrap.bash \
     --with-core \
     --with-cli \
%if %{build_qt}
     --with-qt4 \
%else
     --without-qt4 \
%endif
     --with-plugins


%install
cp -a install/* %{buildroot}
%if %{build_qt}
mkdir -p %{buildroot}%{_datadir}/applications
install -D %SOURCE1 %{buildroot}%{_datadir}/applications/%{name}-qt.desktop
mkdir -p %{buildroot}%{_iconsdir}
convert avidemux_icon.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}-qt.png
%endif
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 man/avidemux.1 %{buildroot}%{_mandir}/man1
chrpath --delete %{buildroot}%{_libdir}/*.so*
chrpath --delete %{buildroot}%{_libdir}/ADM_plugins6/*/*.so
chrpath --delete %{buildroot}%{_bindir}/*
rm -rf %{buildroot}%{_datadir}/ADM6_addons

#fix permissions
chmod 0755 %{buildroot}%{_libdir}/*.so*


%files -n %{libname}
%{_libdir}/libADM_audio*.so
%{_libdir}/libADM_core*.so
%{_libdir}/libADM6*.so.*


%files devel
%{_includedir}/%{name}

%files cli
%{_mandir}/man1/avidemux.1*
%{_bindir}/avidemux3_cli
%{_libdir}/libADM_UI_Cli6.so
%{_libdir}/libADM_render6_cli.so


%if %{build_qt}
%files qt
%{_bindir}/avidemux3_qt4
%{_bindir}/avidemux3_jobs_qt4
%{_libdir}/libADM_UIQT46.so
%{_libdir}/libADM_render6_QT4.so
%{_libdir}/libADM_openGLQT46.so
%{_datadir}/avidemux6
%{_iconsdir}/%{name}-qt.png
%{_datadir}/applications/%{name}-qt.desktop
%endif

%files plugins
%dir %{_libdir}/ADM_plugins6
%dir %{_libdir}/ADM_plugins6/*
%{_libdir}/ADM_plugins6/*/*
%exclude %{_libdir}/ADM_plugins6/videoFilters/cli/*.so
%exclude %{_libdir}/ADM_plugins6/scriptEngines/qt4/*.so
%exclude %{_libdir}/ADM_plugins6/videoFilters/qt4/*.so

%files cli-plugins
%{_libdir}/ADM_plugins6/videoFilters/cli/*.so

%if %{build_qt}
%files qt-plugins
%doc %{_datadir}/avidemux6/help/QtScriptQT4
%{_libdir}/ADM_plugins6/scriptEngines/qt4/*.so
%{_libdir}/ADM_plugins6/videoFilters/qt4/*.so
%endif


%changelog

* Thu Aug 11 2016 max_tre2000 <max_tre2000> 2.6.12-2uplos2016
- rebuild

* Wed Apr 06 2016 bb <bb> 2.6.12-2pclos2016
- fix permissions

* Fri Mar 11 2016 bb <bb> 2.6.12-1pclos2016
- update

* Fri Jan 29 2016 bb <bb> 2.6.11-1pclos2016
- update

* Sat Nov 21 2015 bb <bb> 2.6.10-1pclos2015
- New version 2.6.10

